Bug 830517 - Ovirt SDK - Import vm action - name is wrong
Ovirt SDK - Import vm action - name is wrong
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-sdk (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Pasternak
Oded Ramraz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-10 06:17 EDT by Elena
Modified: 2015-09-22 09 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
The new Python SDK maps actions and properties directly to the REST API with the exception of <literal>import</literal> actions. As <literal>import</literal> is a reserved keyword in Python these actions have instead been renamed <literal>import_<replaceable>resource</replaceable></literal>, where <replaceable>resource</replaceable>' is replaced by the resource being operated on, for example <literal>vm</literal> or <literal>template</literal>.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-10 06:28:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elena 2012-06-10 06:17:10 EDT
Name of action for import vm is 'import_vm' instead of 'import'.
The same is for templates - 'import_template' instead of 'import'.

All other actions names are the same as in rest and were not changed in sdk.
'export' action named 'export' for an example and not 'export_vm'.
Comment 1 Michael Pasternak 2012-06-10 06:28:31 EDT
/import/ is preserved word in python, therefore action name
converted using <action-name>_<resource-name> paradigm.
Comment 2 Stephen Gordon 2012-08-09 09:46:08 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The new Python SDK maps actions and properties directly to the REST API with the exception of 'import' actions. As 'import' is a reserved keyword in Python these actions have instead been renamed 'import_<resource>', where '<resource>' is replaced by the resource being operated on (e.g. 'vm' or 'template').
Comment 3 Stephen Gordon 2012-08-09 13:50:14 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-The new Python SDK maps actions and properties directly to the REST API with the exception of 'import' actions. As 'import' is a reserved keyword in Python these actions have instead been renamed 'import_<resource>', where '<resource>' is replaced by the resource being operated on (e.g. 'vm' or 'template').+The new Python SDK maps actions and properties directly to the REST API with the exception of <literal>import</literal> actions. As <literal>import</literal> is a reserved keyword in Python these actions have instead been renamed <literal>import_<replaceable>resource</replaceable></literal>, where <replaceable>resource</replaceable>' is replaced by the resource being operated on, for example <literal>vm</literal> or <literal>template</literal>.
Comment 4 Stephen Gordon 2012-09-12 07:26:00 EDT
Adding flag in line with Miki's request to use it for filtering release notes.

Note You need to log in before you can comment on or make changes to this bug.